--
--	ViconKD714
--
--	@author: 	 ReverS
--	@descripion: Configurations mixer
--	@history:	 v1.0 - 2017-31-12 - Initial implementation
--
ConfigurationUtil.registerConfigurationType('dynamic', g_i18n:getText('configuration_dynamic'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)

ViconKD714 = {}
ViconKD714.modDir = g_currentModDirectory;

function ViconKD714.prerequisitesPresent(specializations)
    return true;
end;

function ViconKD714:load(savegame)
	local dynamicId = Utils.getNoNil(self.configurations["dynamic"], 1);
	
	if self.configurations["dynamic"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.dynamicConfigurations.dynamicConfiguration", dynamicId, self.components, self);
    end;
end;

function ViconKD714:delete()
end;

function ViconKD714:readStream(streamId, connection)
end;

function ViconKD714:writeStream(streamId, connection)
end;

function ViconKD714:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ViconKD714:keyEvent(unicode, sym, modifier, isDown)
end;

function ViconKD714:update(dt) 
end;

function ViconKD714:onLeave()
end;

function ViconKD714:draw()
end;
	
function ViconKD714:onDetach()
end;
	
function ViconKD714:onDeactivate()
end;
	

